SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Generic)  >   CUPS Vendors:   Easy Software Products
CUPS Heap Overflow in USB Backend Lets Local Users Gain Elevated Privileges
SecurityTracker Alert ID:  1022898
SecurityTracker URL:  http://securitytracker.com/id/1022898
CVE Reference:   CVE-2009-2807   (Links to External Site)
Updated:  Nov 19 2009
Original Entry Date:  Sep 11 2009
Impact:   Root access via local system
Fix Available:  Yes  Vendor Confirmed:  Yes  

Description:   A vulnerability was reported in CUPS. A local user can obtain elevated privileges on the target system.

A local user can exploit a flaw in the USB backend to trigger a heap overflow and execute arbitrary code with system privileges.

Mac OS X 10.5.x is affected.

Impact:   A local user can obtain system privileges on the target system.
Solution:   Apple has issued a fix as part of Security Update 2009-005, available from the Software Update pane in System Preferences, or Apple's Software Downloads web site at:

http://www.apple.com/support/downloads/

For Mac OS X v10.5.8
The download file is named: SecUpd2009-005.dmg
Its SHA-1 digest is: d43cff3c40a0917757f6b1ec59286146ee62dfde

For Mac OS X Server v10.5.8
The download file is named: SecUpdSrvr2009-005.dmg
Its SHA-1 digest is: 3490619467bda4c925ac7cb7843d3d1395984d71

The Apple advisory is available at:

http://support.apple.com/kb/HT3865

Vendor URL:  www.cups.org/ (Links to External Site)
Cause:   Boundary error
Underlying OS:  UNIX (macOS/OS X)

Message History:   None.


 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2021, SecurityGlobal.net LLC